curl --request POST \
--url https://api.mottostreaming.com/cms/entities/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_asset_id": "<string>",
"disabled": true,
"fields": {},
"localized_name": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"logo_asset_id": "<string>",
"localized_logo_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
'import requests
url = "https://api.mottostreaming.com/cms/entities/v1"
payload = {
"project_id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_asset_id": "<string>",
"disabled": True,
"fields": {},
"localized_name": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"logo_asset_id": "<string>",
"localized_logo_asset_id": {},
"banner_asset_id": { "banner_asset_id": {} },
"localized_banner_asset_id": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
type_id: '<string>',
name: '<string>',
description: '<string>',
thumbnail_asset_id: '<string>',
disabled: true,
fields: {},
localized_name: {},
localized_description: {},
localized_thumbnail_asset_id: {},
logo_asset_id: '<string>',
localized_logo_asset_id: {},
banner_asset_id: {banner_asset_id: {}},
localized_banner_asset_id: {}
})
};
fetch('https://api.mottostreaming.com/cms/entities/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"project_id": "<string>",
"id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_asset_id": "<string>",
"disabled": true,
"fields": {},
"visibility": "VISIBILITY_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"localized_name": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"logo_asset_id": "<string>",
"localized_logo_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create entity
CreateEntity
Creates new entity.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Entity represents some object, such as competition, conference, team or person.
The type id of the entity. For example competition. May be set to default when no custom fields are present.
VISIBILITY_UNSPECIFIED, VISIBILITY_PUBLISHED, VISIBILITY_UNLISTED, VISIBILITY_HIDDEN A map of localized names for this entity, for end users to see. The key is the language code (ISO 639 - set 1) (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2) e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the name field.
Show child attributes
Show child attributes
A map of localized descriptions for this entity. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the description field.
Show child attributes
Show child attributes
A map of localized thumbnail asset IDs for this entity. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the thumbnail_asset_id field.
Show child attributes
Show child attributes
A map of localized logo asset IDs for this entity. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the logo_asset_id field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A map of localized banner asset IDs for this entity. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the banner_asset_id field.
Show child attributes
Show child attributes
Response
OK
Entity represents some object, such as competition, conference, team or person.
Show child attributes
Show child attributes

